Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network63.2.64.0/19
Usable hosts8,190
Subnet mask255.255.224.0
Addresses8,192
Network address
63.2.64.0
Broadcast address
63.2.95.255
First usable
63.2.64.1
Last usable
63.2.95.254
Usable hosts
8,190 (8,192 less the network and broadcast addresses)
Subnet mask
255.255.224.0
Wildcard mask
0.0.31.255 (Cisco ACLs, OSPF)
Prefix length
/19
Type
Public public
Old class
A (default /8)
As numbers
Hex 3F024000 · Integer 1057112064 to 1057120255
Reverse DNS zones
64.2.63.in-addr.arpa
65.2.63.in-addr.arpa
66.2.63.in-addr.arpa
67.2.63.in-addr.arpa
68.2.63.in-addr.arpa
69.2.63.in-addr.arpa
70.2.63.in-addr.arpa
71.2.63.in-addr.arpa
72.2.63.in-addr.arpa
73.2.63.in-addr.arpa
74.2.63.in-addr.arpa
75.2.63.in-addr.arpa
76.2.63.in-addr.arpa
77.2.63.in-addr.arpa
78.2.63.in-addr.arpa
79.2.63.in-addr.arpa
and 16 more
/19 is not on a 8-bit boundary, so it takes 32 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00111111.00000010.01000000.0000000063.2.64.0
Subnet mask11111111.11111111.11100000.00000000255.255.224.0
Network00111111.00000010.01000000.0000000063.2.64.0
Broadcast00111111.00000010.01011111.1111111163.2.95.255
Split into smaller subnets/28

63.2.64.0/19 makes 512 subnets of /28; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
163.2.64.0/2863.2.64.1 to 63.2.64.1463.2.64.1514
263.2.64.16/2863.2.64.17 to 63.2.64.3063.2.64.3114
363.2.64.32/2863.2.64.33 to 63.2.64.4663.2.64.4714
463.2.64.48/2863.2.64.49 to 63.2.64.6263.2.64.6314
563.2.64.64/2863.2.64.65 to 63.2.64.7863.2.64.7914
663.2.64.80/2863.2.64.81 to 63.2.64.9463.2.64.9514
763.2.64.96/2863.2.64.97 to 63.2.64.11063.2.64.11114
863.2.64.112/2863.2.64.113 to 63.2.64.12663.2.64.12714
963.2.64.128/2863.2.64.129 to 63.2.64.14263.2.64.14314
1063.2.64.144/2863.2.64.145 to 63.2.64.15863.2.64.15914
1163.2.64.160/2863.2.64.161 to 63.2.64.17463.2.64.17514
1263.2.64.176/2863.2.64.177 to 63.2.64.19063.2.64.19114
1363.2.64.192/2863.2.64.193 to 63.2.64.20663.2.64.20714
1463.2.64.208/2863.2.64.209 to 63.2.64.22263.2.64.22314
1563.2.64.224/2863.2.64.225 to 63.2.64.23863.2.64.23914
1663.2.64.240/2863.2.64.241 to 63.2.64.25463.2.64.25514
1763.2.65.0/2863.2.65.1 to 63.2.65.1463.2.65.1514
1863.2.65.16/2863.2.65.17 to 63.2.65.3063.2.65.3114
1963.2.65.32/2863.2.65.33 to 63.2.65.4663.2.65.4714
2063.2.65.48/2863.2.65.49 to 63.2.65.6263.2.65.6314
2163.2.65.64/2863.2.65.65 to 63.2.65.7863.2.65.7914
2263.2.65.80/2863.2.65.81 to 63.2.65.9463.2.65.9514
2363.2.65.96/2863.2.65.97 to 63.2.65.11063.2.65.11114
2463.2.65.112/2863.2.65.113 to 63.2.65.12663.2.65.12714
2563.2.65.128/2863.2.65.129 to 63.2.65.14263.2.65.14314
2663.2.65.144/2863.2.65.145 to 63.2.65.15863.2.65.15914
2763.2.65.160/2863.2.65.161 to 63.2.65.17463.2.65.17514
2863.2.65.176/2863.2.65.177 to 63.2.65.19063.2.65.19114
2963.2.65.192/2863.2.65.193 to 63.2.65.20663.2.65.20714
3063.2.65.208/2863.2.65.209 to 63.2.65.22263.2.65.22314
3163.2.65.224/2863.2.65.225 to 63.2.65.23863.2.65.23914
3263.2.65.240/2863.2.65.241 to 63.2.65.25463.2.65.25514
3363.2.66.0/2863.2.66.1 to 63.2.66.1463.2.66.1514
3463.2.66.16/2863.2.66.17 to 63.2.66.3063.2.66.3114
3563.2.66.32/2863.2.66.33 to 63.2.66.4663.2.66.4714
3663.2.66.48/2863.2.66.49 to 63.2.66.6263.2.66.6314
3763.2.66.64/2863.2.66.65 to 63.2.66.7863.2.66.7914
3863.2.66.80/2863.2.66.81 to 63.2.66.9463.2.66.9514
3963.2.66.96/2863.2.66.97 to 63.2.66.11063.2.66.11114
4063.2.66.112/2863.2.66.113 to 63.2.66.12663.2.66.12714
4163.2.66.128/2863.2.66.129 to 63.2.66.14263.2.66.14314
4263.2.66.144/2863.2.66.145 to 63.2.66.15863.2.66.15914
4363.2.66.160/2863.2.66.161 to 63.2.66.17463.2.66.17514
4463.2.66.176/2863.2.66.177 to 63.2.66.19063.2.66.19114
4563.2.66.192/2863.2.66.193 to 63.2.66.20663.2.66.20714
4663.2.66.208/2863.2.66.209 to 63.2.66.22263.2.66.22314
4763.2.66.224/2863.2.66.225 to 63.2.66.23863.2.66.23914
4863.2.66.240/2863.2.66.241 to 63.2.66.25463.2.66.25514
4963.2.67.0/2863.2.67.1 to 63.2.67.1463.2.67.1514
5063.2.67.16/2863.2.67.17 to 63.2.67.3063.2.67.3114
5163.2.67.32/2863.2.67.33 to 63.2.67.4663.2.67.4714
5263.2.67.48/2863.2.67.49 to 63.2.67.6263.2.67.6314
5363.2.67.64/2863.2.67.65 to 63.2.67.7863.2.67.7914
5463.2.67.80/2863.2.67.81 to 63.2.67.9463.2.67.9514
5563.2.67.96/2863.2.67.97 to 63.2.67.11063.2.67.11114
5663.2.67.112/2863.2.67.113 to 63.2.67.12663.2.67.12714
5763.2.67.128/2863.2.67.129 to 63.2.67.14263.2.67.14314
5863.2.67.144/2863.2.67.145 to 63.2.67.15863.2.67.15914
5963.2.67.160/2863.2.67.161 to 63.2.67.17463.2.67.17514
6063.2.67.176/2863.2.67.177 to 63.2.67.19063.2.67.19114
6163.2.67.192/2863.2.67.193 to 63.2.67.20663.2.67.20714
6263.2.67.208/2863.2.67.209 to 63.2.67.22263.2.67.22314
6363.2.67.224/2863.2.67.225 to 63.2.67.23863.2.67.23914
6463.2.67.240/2863.2.67.241 to 63.2.67.25463.2.67.25514
6563.2.68.0/2863.2.68.1 to 63.2.68.1463.2.68.1514
6663.2.68.16/2863.2.68.17 to 63.2.68.3063.2.68.3114
6763.2.68.32/2863.2.68.33 to 63.2.68.4663.2.68.4714
6863.2.68.48/2863.2.68.49 to 63.2.68.6263.2.68.6314
6963.2.68.64/2863.2.68.65 to 63.2.68.7863.2.68.7914
7063.2.68.80/2863.2.68.81 to 63.2.68.9463.2.68.9514
7163.2.68.96/2863.2.68.97 to 63.2.68.11063.2.68.11114
7263.2.68.112/2863.2.68.113 to 63.2.68.12663.2.68.12714
7363.2.68.128/2863.2.68.129 to 63.2.68.14263.2.68.14314
7463.2.68.144/2863.2.68.145 to 63.2.68.15863.2.68.15914
7563.2.68.160/2863.2.68.161 to 63.2.68.17463.2.68.17514
7663.2.68.176/2863.2.68.177 to 63.2.68.19063.2.68.19114
7763.2.68.192/2863.2.68.193 to 63.2.68.20663.2.68.20714
7863.2.68.208/2863.2.68.209 to 63.2.68.22263.2.68.22314
7963.2.68.224/2863.2.68.225 to 63.2.68.23863.2.68.23914
8063.2.68.240/2863.2.68.241 to 63.2.68.25463.2.68.25514
8163.2.69.0/2863.2.69.1 to 63.2.69.1463.2.69.1514
8263.2.69.16/2863.2.69.17 to 63.2.69.3063.2.69.3114
8363.2.69.32/2863.2.69.33 to 63.2.69.4663.2.69.4714
8463.2.69.48/2863.2.69.49 to 63.2.69.6263.2.69.6314
8563.2.69.64/2863.2.69.65 to 63.2.69.7863.2.69.7914
8663.2.69.80/2863.2.69.81 to 63.2.69.9463.2.69.9514
8763.2.69.96/2863.2.69.97 to 63.2.69.11063.2.69.11114
8863.2.69.112/2863.2.69.113 to 63.2.69.12663.2.69.12714
8963.2.69.128/2863.2.69.129 to 63.2.69.14263.2.69.14314
9063.2.69.144/2863.2.69.145 to 63.2.69.15863.2.69.15914
9163.2.69.160/2863.2.69.161 to 63.2.69.17463.2.69.17514
9263.2.69.176/2863.2.69.177 to 63.2.69.19063.2.69.19114
9363.2.69.192/2863.2.69.193 to 63.2.69.20663.2.69.20714
9463.2.69.208/2863.2.69.209 to 63.2.69.22263.2.69.22314
9563.2.69.224/2863.2.69.225 to 63.2.69.23863.2.69.23914
9663.2.69.240/2863.2.69.241 to 63.2.69.25463.2.69.25514
9763.2.70.0/2863.2.70.1 to 63.2.70.1463.2.70.1514
9863.2.70.16/2863.2.70.17 to 63.2.70.3063.2.70.3114
9963.2.70.32/2863.2.70.33 to 63.2.70.4663.2.70.4714
10063.2.70.48/2863.2.70.49 to 63.2.70.6263.2.70.6314
10163.2.70.64/2863.2.70.65 to 63.2.70.7863.2.70.7914
10263.2.70.80/2863.2.70.81 to 63.2.70.9463.2.70.9514
10363.2.70.96/2863.2.70.97 to 63.2.70.11063.2.70.11114
10463.2.70.112/2863.2.70.113 to 63.2.70.12663.2.70.12714
10563.2.70.128/2863.2.70.129 to 63.2.70.14263.2.70.14314
10663.2.70.144/2863.2.70.145 to 63.2.70.15863.2.70.15914
10763.2.70.160/2863.2.70.161 to 63.2.70.17463.2.70.17514
10863.2.70.176/2863.2.70.177 to 63.2.70.19063.2.70.19114
10963.2.70.192/2863.2.70.193 to 63.2.70.20663.2.70.20714
11063.2.70.208/2863.2.70.209 to 63.2.70.22263.2.70.22314
11163.2.70.224/2863.2.70.225 to 63.2.70.23863.2.70.23914
11263.2.70.240/2863.2.70.241 to 63.2.70.25463.2.70.25514
11363.2.71.0/2863.2.71.1 to 63.2.71.1463.2.71.1514
11463.2.71.16/2863.2.71.17 to 63.2.71.3063.2.71.3114
11563.2.71.32/2863.2.71.33 to 63.2.71.4663.2.71.4714
11663.2.71.48/2863.2.71.49 to 63.2.71.6263.2.71.6314
11763.2.71.64/2863.2.71.65 to 63.2.71.7863.2.71.7914
11863.2.71.80/2863.2.71.81 to 63.2.71.9463.2.71.9514
11963.2.71.96/2863.2.71.97 to 63.2.71.11063.2.71.11114
12063.2.71.112/2863.2.71.113 to 63.2.71.12663.2.71.12714
12163.2.71.128/2863.2.71.129 to 63.2.71.14263.2.71.14314
12263.2.71.144/2863.2.71.145 to 63.2.71.15863.2.71.15914
12363.2.71.160/2863.2.71.161 to 63.2.71.17463.2.71.17514
12463.2.71.176/2863.2.71.177 to 63.2.71.19063.2.71.19114
12563.2.71.192/2863.2.71.193 to 63.2.71.20663.2.71.20714
12663.2.71.208/2863.2.71.209 to 63.2.71.22263.2.71.22314
12763.2.71.224/2863.2.71.225 to 63.2.71.23863.2.71.23914
12863.2.71.240/2863.2.71.241 to 63.2.71.25463.2.71.25514
12963.2.72.0/2863.2.72.1 to 63.2.72.1463.2.72.1514
13063.2.72.16/2863.2.72.17 to 63.2.72.3063.2.72.3114
13163.2.72.32/2863.2.72.33 to 63.2.72.4663.2.72.4714
13263.2.72.48/2863.2.72.49 to 63.2.72.6263.2.72.6314
13363.2.72.64/2863.2.72.65 to 63.2.72.7863.2.72.7914
13463.2.72.80/2863.2.72.81 to 63.2.72.9463.2.72.9514
13563.2.72.96/2863.2.72.97 to 63.2.72.11063.2.72.11114
13663.2.72.112/2863.2.72.113 to 63.2.72.12663.2.72.12714
13763.2.72.128/2863.2.72.129 to 63.2.72.14263.2.72.14314
13863.2.72.144/2863.2.72.145 to 63.2.72.15863.2.72.15914
13963.2.72.160/2863.2.72.161 to 63.2.72.17463.2.72.17514
14063.2.72.176/2863.2.72.177 to 63.2.72.19063.2.72.19114
14163.2.72.192/2863.2.72.193 to 63.2.72.20663.2.72.20714
14263.2.72.208/2863.2.72.209 to 63.2.72.22263.2.72.22314
14363.2.72.224/2863.2.72.225 to 63.2.72.23863.2.72.23914
14463.2.72.240/2863.2.72.241 to 63.2.72.25463.2.72.25514
14563.2.73.0/2863.2.73.1 to 63.2.73.1463.2.73.1514
14663.2.73.16/2863.2.73.17 to 63.2.73.3063.2.73.3114
14763.2.73.32/2863.2.73.33 to 63.2.73.4663.2.73.4714
14863.2.73.48/2863.2.73.49 to 63.2.73.6263.2.73.6314
14963.2.73.64/2863.2.73.65 to 63.2.73.7863.2.73.7914
15063.2.73.80/2863.2.73.81 to 63.2.73.9463.2.73.9514
15163.2.73.96/2863.2.73.97 to 63.2.73.11063.2.73.11114
15263.2.73.112/2863.2.73.113 to 63.2.73.12663.2.73.12714
15363.2.73.128/2863.2.73.129 to 63.2.73.14263.2.73.14314
15463.2.73.144/2863.2.73.145 to 63.2.73.15863.2.73.15914
15563.2.73.160/2863.2.73.161 to 63.2.73.17463.2.73.17514
15663.2.73.176/2863.2.73.177 to 63.2.73.19063.2.73.19114
15763.2.73.192/2863.2.73.193 to 63.2.73.20663.2.73.20714
15863.2.73.208/2863.2.73.209 to 63.2.73.22263.2.73.22314
15963.2.73.224/2863.2.73.225 to 63.2.73.23863.2.73.23914
16063.2.73.240/2863.2.73.241 to 63.2.73.25463.2.73.25514
16163.2.74.0/2863.2.74.1 to 63.2.74.1463.2.74.1514
16263.2.74.16/2863.2.74.17 to 63.2.74.3063.2.74.3114
16363.2.74.32/2863.2.74.33 to 63.2.74.4663.2.74.4714
16463.2.74.48/2863.2.74.49 to 63.2.74.6263.2.74.6314
16563.2.74.64/2863.2.74.65 to 63.2.74.7863.2.74.7914
16663.2.74.80/2863.2.74.81 to 63.2.74.9463.2.74.9514
16763.2.74.96/2863.2.74.97 to 63.2.74.11063.2.74.11114
16863.2.74.112/2863.2.74.113 to 63.2.74.12663.2.74.12714
16963.2.74.128/2863.2.74.129 to 63.2.74.14263.2.74.14314
17063.2.74.144/2863.2.74.145 to 63.2.74.15863.2.74.15914
17163.2.74.160/2863.2.74.161 to 63.2.74.17463.2.74.17514
17263.2.74.176/2863.2.74.177 to 63.2.74.19063.2.74.19114
17363.2.74.192/2863.2.74.193 to 63.2.74.20663.2.74.20714
17463.2.74.208/2863.2.74.209 to 63.2.74.22263.2.74.22314
17563.2.74.224/2863.2.74.225 to 63.2.74.23863.2.74.23914
17663.2.74.240/2863.2.74.241 to 63.2.74.25463.2.74.25514
17763.2.75.0/2863.2.75.1 to 63.2.75.1463.2.75.1514
17863.2.75.16/2863.2.75.17 to 63.2.75.3063.2.75.3114
17963.2.75.32/2863.2.75.33 to 63.2.75.4663.2.75.4714
18063.2.75.48/2863.2.75.49 to 63.2.75.6263.2.75.6314
18163.2.75.64/2863.2.75.65 to 63.2.75.7863.2.75.7914
18263.2.75.80/2863.2.75.81 to 63.2.75.9463.2.75.9514
18363.2.75.96/2863.2.75.97 to 63.2.75.11063.2.75.11114
18463.2.75.112/2863.2.75.113 to 63.2.75.12663.2.75.12714
18563.2.75.128/2863.2.75.129 to 63.2.75.14263.2.75.14314
18663.2.75.144/2863.2.75.145 to 63.2.75.15863.2.75.15914
18763.2.75.160/2863.2.75.161 to 63.2.75.17463.2.75.17514
18863.2.75.176/2863.2.75.177 to 63.2.75.19063.2.75.19114
18963.2.75.192/2863.2.75.193 to 63.2.75.20663.2.75.20714
19063.2.75.208/2863.2.75.209 to 63.2.75.22263.2.75.22314
19163.2.75.224/2863.2.75.225 to 63.2.75.23863.2.75.23914
19263.2.75.240/2863.2.75.241 to 63.2.75.25463.2.75.25514
19363.2.76.0/2863.2.76.1 to 63.2.76.1463.2.76.1514
19463.2.76.16/2863.2.76.17 to 63.2.76.3063.2.76.3114
19563.2.76.32/2863.2.76.33 to 63.2.76.4663.2.76.4714
19663.2.76.48/2863.2.76.49 to 63.2.76.6263.2.76.6314
19763.2.76.64/2863.2.76.65 to 63.2.76.7863.2.76.7914
19863.2.76.80/2863.2.76.81 to 63.2.76.9463.2.76.9514
19963.2.76.96/2863.2.76.97 to 63.2.76.11063.2.76.11114
20063.2.76.112/2863.2.76.113 to 63.2.76.12663.2.76.12714
20163.2.76.128/2863.2.76.129 to 63.2.76.14263.2.76.14314
20263.2.76.144/2863.2.76.145 to 63.2.76.15863.2.76.15914
20363.2.76.160/2863.2.76.161 to 63.2.76.17463.2.76.17514
20463.2.76.176/2863.2.76.177 to 63.2.76.19063.2.76.19114
20563.2.76.192/2863.2.76.193 to 63.2.76.20663.2.76.20714
20663.2.76.208/2863.2.76.209 to 63.2.76.22263.2.76.22314
20763.2.76.224/2863.2.76.225 to 63.2.76.23863.2.76.23914
20863.2.76.240/2863.2.76.241 to 63.2.76.25463.2.76.25514
20963.2.77.0/2863.2.77.1 to 63.2.77.1463.2.77.1514
21063.2.77.16/2863.2.77.17 to 63.2.77.3063.2.77.3114
21163.2.77.32/2863.2.77.33 to 63.2.77.4663.2.77.4714
21263.2.77.48/2863.2.77.49 to 63.2.77.6263.2.77.6314
21363.2.77.64/2863.2.77.65 to 63.2.77.7863.2.77.7914
21463.2.77.80/2863.2.77.81 to 63.2.77.9463.2.77.9514
21563.2.77.96/2863.2.77.97 to 63.2.77.11063.2.77.11114
21663.2.77.112/2863.2.77.113 to 63.2.77.12663.2.77.12714
21763.2.77.128/2863.2.77.129 to 63.2.77.14263.2.77.14314
21863.2.77.144/2863.2.77.145 to 63.2.77.15863.2.77.15914
21963.2.77.160/2863.2.77.161 to 63.2.77.17463.2.77.17514
22063.2.77.176/2863.2.77.177 to 63.2.77.19063.2.77.19114
22163.2.77.192/2863.2.77.193 to 63.2.77.20663.2.77.20714
22263.2.77.208/2863.2.77.209 to 63.2.77.22263.2.77.22314
22363.2.77.224/2863.2.77.225 to 63.2.77.23863.2.77.23914
22463.2.77.240/2863.2.77.241 to 63.2.77.25463.2.77.25514
22563.2.78.0/2863.2.78.1 to 63.2.78.1463.2.78.1514
22663.2.78.16/2863.2.78.17 to 63.2.78.3063.2.78.3114
22763.2.78.32/2863.2.78.33 to 63.2.78.4663.2.78.4714
22863.2.78.48/2863.2.78.49 to 63.2.78.6263.2.78.6314
22963.2.78.64/2863.2.78.65 to 63.2.78.7863.2.78.7914
23063.2.78.80/2863.2.78.81 to 63.2.78.9463.2.78.9514
23163.2.78.96/2863.2.78.97 to 63.2.78.11063.2.78.11114
23263.2.78.112/2863.2.78.113 to 63.2.78.12663.2.78.12714
23363.2.78.128/2863.2.78.129 to 63.2.78.14263.2.78.14314
23463.2.78.144/2863.2.78.145 to 63.2.78.15863.2.78.15914
23563.2.78.160/2863.2.78.161 to 63.2.78.17463.2.78.17514
23663.2.78.176/2863.2.78.177 to 63.2.78.19063.2.78.19114
23763.2.78.192/2863.2.78.193 to 63.2.78.20663.2.78.20714
23863.2.78.208/2863.2.78.209 to 63.2.78.22263.2.78.22314
23963.2.78.224/2863.2.78.225 to 63.2.78.23863.2.78.23914
24063.2.78.240/2863.2.78.241 to 63.2.78.25463.2.78.25514
24163.2.79.0/2863.2.79.1 to 63.2.79.1463.2.79.1514
24263.2.79.16/2863.2.79.17 to 63.2.79.3063.2.79.3114
24363.2.79.32/2863.2.79.33 to 63.2.79.4663.2.79.4714
24463.2.79.48/2863.2.79.49 to 63.2.79.6263.2.79.6314
24563.2.79.64/2863.2.79.65 to 63.2.79.7863.2.79.7914
24663.2.79.80/2863.2.79.81 to 63.2.79.9463.2.79.9514
24763.2.79.96/2863.2.79.97 to 63.2.79.11063.2.79.11114
24863.2.79.112/2863.2.79.113 to 63.2.79.12663.2.79.12714
24963.2.79.128/2863.2.79.129 to 63.2.79.14263.2.79.14314
25063.2.79.144/2863.2.79.145 to 63.2.79.15863.2.79.15914
25163.2.79.160/2863.2.79.161 to 63.2.79.17463.2.79.17514
25263.2.79.176/2863.2.79.177 to 63.2.79.19063.2.79.19114
25363.2.79.192/2863.2.79.193 to 63.2.79.20663.2.79.20714
25463.2.79.208/2863.2.79.209 to 63.2.79.22263.2.79.22314
25563.2.79.224/2863.2.79.225 to 63.2.79.23863.2.79.23914
25663.2.79.240/2863.2.79.241 to 63.2.79.25463.2.79.25514

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses